
defmodule FiboTR do
  def fib(n), do: fib(n, 0, 1)

  defp fib(0, a, _), do: a
  defp fib(n, a, b) when n > 0 do
    fib(n-1, b, a+b)
  end
end

IO.write("fib 45: ")
IO.puts(FiboTR.fib(45))

IO.write("fib 6001: ")
IO.puts(FiboTR.fib(6001))
