
defmodule Quick do
  def sort([]), do: []
  def sort([pivot | rest]) do
    less_than_pivot = Enum.filter(rest, &(&1 <= pivot))
    greater_than_pivot = Enum.filter(rest, &(&1 > pivot))

    sort(less_than_pivot) ++ [pivot] ++ sort(greater_than_pivot)
  end
end

IO.inspect Quick.sort([3, 6, 8, 10, 1, 2, 1])

